Bug 466800 - Devices in /dev have forward timestamp
Devices in /dev have forward timestamp
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-13 13:34 EDT by Imtiaz Rahi
Modified: 2009-07-14 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:58:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of ls of /dev along with uptime and date (153.08 KB, image/png)
2008-10-13 13:34 EDT, Imtiaz Rahi
no flags Details
Output of ls in /dev (13.33 KB, text/plain)
2008-10-13 13:35 EDT, Imtiaz Rahi
no flags Details

  None (edit)
Description Imtiaz Rahi 2008-10-13 13:34:00 EDT
Created attachment 320207 [details]
Screenshot of ls of /dev along with uptime and date

Description of problem:
After booting it is found that few devices in /dev have forward timestamp.

Version-Release number of selected component (if applicable):
udev-124-2.fc9.i386

How reproducible:
Boot Fedora 9 and do 'ls -l' in /dev

Steps to Reproduce:
1.
2.
3.
  
Actual results:
/dev/null have 6 hours forward timestamp after booting

Expected results:
/dev/null should have current timestamp after booting

Additional info:
Similar situation found in Debian Lenny with 2.6.26 kernel and udev version 125.
Comment 1 Imtiaz Rahi 2008-10-13 13:35:38 EDT
Created attachment 320208 [details]
Output of ls in /dev
Comment 2 Harald Hoyer 2009-01-20 06:37:28 EST
hardware clock and system time zones differ?
Comment 3 Imtiaz Rahi 2009-01-21 02:43:56 EST
Hardware clock and system time both have same time and are synchronized. Hardware clock is set to localtime not in UTC. OS has configured time zone "Asia/Dhaka".
This problem also remains in Fedora 10.

Also, it has been observed that when in "system-config-date" is configured as "System Clock uses UTC" and the machine is restarted, timestamp of "/dev/null" is found in sync with current time.
Comment 4 Bug Zapper 2009-06-09 22:57:16 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:58:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.